ML Prep API (v1)
Download OpenAPI description
Languages
Servers
Mock server
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/simulation-speed
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/simulation-speed' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"simulationSpeed": "string"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/load-instructions
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/load-instructions' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "positionName": "string", "deckPosition": 0, "labwarePosition": 0, "labwareClassification": "Unknown" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/protocol-run/reload-instructions
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/protocol-run/reload-instructions' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Response
application/json
[ { "positionName": "string", "deckPosition": 0, "labwarePosition": 0, "labwareClassification": "Unknown" } ]